TimerFunctionality (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.services, enum: TimerFunctionality

Package org.apache.hadoop.fs.azurebfs.services

# Enum Class TimerFunctionality

java.lang.Object
java.lang.Enum<TimerFunctionality>
org.apache.hadoop.fs.azurebfs.services.TimerFunctionality

All Implemented Interfaces:
  `Serializable`, `Comparable<TimerFunctionality>`, `Constable`

public enum TimerFunctionality extends Enum<TimerFunctionality>
Class for Timer Functionality.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RESUME`
  `SUSPEND`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TimerFunctionality`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TimerFunctionality[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESUME

    public static final TimerFunctionality RESUME

  - ### SUSPEND

    public static final TimerFunctionality SUSPEND

- ## Method Details

  - ### values

    public static TimerFunctionality[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TimerFunctionality valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null